<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\Subject\SubjectId;
use DomainException;

use function sprintf;

final class SubjectNotFoundException extends DomainException
{
    public static function withId(SubjectId $id): self
    {
        return new self(sprintf('Matière "%s" non trouvée.', (string) $id));
    }
}
